From: [email-masked]
Date: Mon, 23 Nov 1998 13:33:33 -0800 (PST)

[In the message entitled "fcntl", on Nov 23,
 "Pomerance, Debbie" writes:]
 
>I have searched the list archives but have not found a satisfactory
>answer for the occurrence of the following message,  can someone
>enlighten me as to the cause and the relative severity of it vis-a-vis
>user's access to wu services..
>
>I'm using Wu ftp beta 18 on Solaris 2.5.1.  Thanks in advance.
>
>ftpd[18356]: sleeping: fcntl lock of pid file failed: Resource
>temporarily unavailable
 
It is possible to get this if your:
 
-rw-r--r--   1 root     daemon       4096 Nov 23 11:32 ftp.pids-local
-rw-r--r--   1 root     daemon       4096 Nov 23 11:52 ftp.pids-remote
 
files are on an NFS mounted drive.
 
While there may be other ways to fix this, you can mount NFS dirs
on the FTP machine with the following options:
 
(example)
 
rw,bg,intr,noquota,proto=udp,posix
 
the key word is "posix"
 
or you can put the pid files in /var/tmp or some other local file
 
-- 
Steven C. Neighorn      [email-masked] http://www.scn.rain.com
SCN Research, Inc.        "Where we train the Star Fighters who defend the
10635 S.W. 127th Court       frontier against Xur and the Ko-dan Armada"
Tigard, Oregon 97223-1964  Voice: +1 (503) 524-7348 Fax: +1 (503) 524-0708